Package be.fgov.ehealth.genericinsurability.core.v1

# Class MedicalHouseType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.MedicalHouseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class MedicalHouseType extends Object implements Serializable

Java class for MedicalHouseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MedicalHouseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PeriodStart" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="PeriodEnd" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
           <attribute name="Nurse" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="Medical" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="Kine" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MedicalHouseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getPeriodEnd()`
  If present, it is the end date of the contract with a medical house
  `Instant`
  `getPeriodStart()`
  Required.
  `Boolean`
  `isKine()`
  true if the contract with a medical house contains kinesitherapy care
  `Boolean`
  `isMedical()`
  true if the contract with a medical house contains medical care
  `Boolean`
  `isNurse()`
  true if the contract with a medical house contains nurse care
  `void`
  `setKine(Boolean value)`
  Sets the value of the kine property.
  `void`
  `setMedical(Boolean value)`
  Sets the value of the medical property.
  `void`
  `setNurse(Boolean value)`
  Sets the value of the nurse property.
  `void`
  `setPeriodEnd(Instant value)`
  Sets the value of the periodEnd property.
  `void`
  `setPeriodStart(Instant value)`
  Sets the value of the periodStart property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MedicalHouseType

    public MedicalHouseType()

- ## Method Details

  - ### getPeriodStart

    public Instant getPeriodStart()
    Required. The begin date of the contract with a medical house
    Returns:
      possible object is `String`

  - ### setPeriodStart

    public void setPeriodStart(Instant value)
    Sets the value of the periodStart property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPeriodStart()`

  - ### getPeriodEnd

    public Instant getPeriodEnd()
    If present, it is the end date of the contract with a medical house
    Returns:
      possible object is `String`

  - ### setPeriodEnd

    public void setPeriodEnd(Instant value)
    Sets the value of the periodEnd property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPeriodEnd()`

  - ### isNurse

    public Boolean isNurse()
    true if the contract with a medical house contains nurse care
    Returns:
      possible object is `Boolean`

  - ### setNurse

    public void setNurse(Boolean value)
    Sets the value of the nurse property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isNurse()`

  - ### isMedical

    public Boolean isMedical()
    true if the contract with a medical house contains medical care
    Returns:
      possible object is `Boolean`

  - ### setMedical

    public void setMedical(Boolean value)
    Sets the value of the medical property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isMedical()`

  - ### isKine

    public Boolean isKine()
    true if the contract with a medical house contains kinesitherapy care
    Returns:
      possible object is `Boolean`

  - ### setKine

    public void setKine(Boolean value)
    Sets the value of the kine property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isKine()`